# $Revision: 1.8.2.2 $, $Date: 2004/07/20 23:45:26 $
%include	/usr/lib/rpm/macros.perl
Summary:	Console based frontend to MPlayer
Summary(pl):	Konsolowa nakadka na MPlayera
Name:		mplay
Version:	0.57
Release:	1.1
License:	GPL
Group:		Applications/Multimedia
Source0:	http://dl.sourceforge.net/mplay/%{name}-%{version}.tar.gz
# Source0-md5:	5e812c40c70cbb636dedbbf15ceaeb66
Source1:	%{name}.desktop
URL:		http://mplay.sourceforge.net/
BuildRequires:	rpm-perlprov
Requires:	mplayer
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_desktopdir	%{_applnkdir}/Multimedia

%description
mplay is a front-end to MPlayer. It extends its functions in several
significant ways. It:
- keeps playlist
- provides essential status information
- includes a progress bar
- remembers the position within the track last played before quitting
- provides basic mixer functions

%description -l pl
mplay jest nakadk na MPlayera rozszerzajc jego funkcjonalno na
kila sposobw:
- zarzdza listami odtwarzania
- dostarcza istotnych informacji na temat statusu
- wywietla belk postpu
- zapamituje pozycj cieki, ktra bya odtwarzana przed wyjciem
- dostarcza podstawowych funkcji miksera

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name},%{_desktopdir}}

sed -e "s#/local/share/#/share/#g" mplay > mplay.tmp
mv -f mplay.tmp mplay

install mplay $RPM_BUILD_ROOT%{_bindir}
install help/help_* $RPM_BUILD_ROOT%{_datadir}/%{name}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: mplay.spec,v $
Revision 1.8.2.2  2004/07/20 23:45:26  ankry
- rel. 1.1

Revision 1.8.2.1  2004/06/17 13:27:53  blues
- 0.57 for RA

Revision 1.8  2004/06/13 08:56:23  paszczus
- updated to 0.57

Revision 1.7  2004/06/10 16:56:10  yogib
- updated to 0.56

Revision 1.6  2004/06/05 13:44:30  blues
- release 2

Revision 1.5  2004/06/03 19:43:24  yogib
- updated to 0.53, removed obsoleted install patch

Revision 1.4  2004/05/01 17:33:17  yogib
- updated to 0.46

Revision 1.3  2004/04/15 18:39:23  yogib
- added desktop
- removed unneeded BR: sed

Revision 1.2  2004/04/13 20:08:10  yogib
- noarch

Revision 1.1  2004/04/13 20:02:19  yogib
- added

